%define fversion 1.6.2


Summary:   CheckInstall installations tracker
Name:      checkinstall
Version:   1.6.2.16
Release:   %mkrel 14
License:   GPLv2+
Group:     System/Packaging
#gw git snapshot
Source:    http://checkinstall.izto.org/files/source/%{name}-%{fversion}.tar.gz
Patch0:    checkinstall-mdv-fix-paths.patch
Patch2:    checkinstall-1.6.1-mdv-rpm-version-check.patch
Patch3:    installwatch-glibc_minor.patch
Patch4:    checkinstall-mdv-rpm-set-buildroot.patch
#gw from Debian, build with new glibc
Patch5:    checkinstall-1.6.1-deb-mdv-build-with-new-glibc.patch
Url:       http://asic-linux.com.mx/~izto/checkinstall/
Requires:  rpm-build

%description
CheckInstall keeps track of all the files created or modified by your 
installation script ("make install" "make install_modules", "setup", etc),
builds a standard binary package and installs it in your system giving
you the ability to uninstall it with your distribution's standard 
package management utilities. 


%prep
%setup -q -n %{name}-%{fversion}
%patch0 -p1 -b .mdv
%patch2 -p0
%patch3 -p0 -b .glibc
%patch4 -p1 -b .buildroot
%patch5 -p1

%build
%make

%install
install -D -m 755 checkinstall %{buildroot}/%{_bindir}/checkinstall
install -D -m 755 makepak %{buildroot}/%{_sbindir}/makepak
install -m 755 installwatch/installwatch %{buildroot}/%{_bindir}
install -D -m 755 installwatch/installwatch.so %{buildroot}/%{_libdir}/checkinstall/installwatch.so
install -m 755 checkinstallrc-dist %{buildroot}/%{_libdir}/checkinstall/checkinstallrc
install -D -m 644 locale/checkinstall-es.mo %{buildroot}%{_libdir}/checkinstall/locale/es/LC_MESSAGES/checkinstall.mo
perl -pi -e "s!#PREFIX#!%_prefix!" %{buildroot}%{_bindir}/installwatch
perl -pi -e "s!/lib/!/%_lib/!" %{buildroot}%{_bindir}/*

%files
%doc README RELNOTES BUGS TODO CREDITS
%{_bindir}/installwatch
%{_bindir}/checkinstall
%{_sbindir}/makepak
%dir %{_libdir}/checkinstall/
%{_libdir}/checkinstall/checkinstallrc
%{_libdir}/checkinstall/installwatch.so
%lang(es) %{_libdir}/checkinstall/locale/es
%dir %{_libdir}/checkinstall/locale/


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.6.2.16-14.mga6
+ Revision: 952341
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 luigiwalser <luigiwalser> 1.6.2.16-13.mga5
+ Revision: 815593
- fix patch5 in the patch, not by using a symlink

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2.16-12.mga5
+ Revision: 747332
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.6.2.16-11.mga5
+ Revision: 693591
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2.16-10.mga5
+ Revision: 678363
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.2.16-9.mga4
+ Revision: 521392
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.6.2.16-8.mga3
+ Revision: 390731
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.6.2.16-7.mga3
+ Revision: 347651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 pterjan <pterjan> 1.6.2.16-6.mga3
+ Revision: 340566
- Replace the patch about glibc minor with one from opensus not needing to be updated for each new glibc

* Fri Jul 13 2012 solbu <solbu> 1.6.2.16-5.mga3
+ Revision: 270553
- imported package checkinstall
- Renamed patches, according to policy.
- Spec cleanup
- Don't ship COPYING and INSTALL


* Tue Dec 06 2011 Götz Waschk <waschk@mandriva.org> 1.6.2.16-4mdv2012.0
+ Revision: 738144
- rebuild
- update patch 3
- yearly rebuild

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.2.16-2mdv2011.0
+ Revision: 610134
- rebuild

* Fri Jan 29 2010 Götz Waschk <waschk@mandriva.org> 1.6.2.16-1mdv2010.1
+ Revision: 498052
- new version 1.6.2
- update patch 3 for the new glibc
- add Debian patch to make installwatch build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1.6.2.16-0.3mdv2009.1
+ Revision: 334790
- patch for rpm's new way to set the build root
- update paths, arch and man page compression in patch 0

* Mon Jan 26 2009 Götz Waschk <waschk@mandriva.org> 1.6.2.16-0.2mdv2009.1
+ Revision: 333703
- fix glibc detection
- new git snapshot
- update patch 0
- drop patch 1

* Mon Jan 26 2009 Götz Waschk <waschk@mandriva.org> 1.6.1-7mdv2009.1
+ Revision: 333662
- remove some broken rpm version tests
- update license

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.1-6mdv2009.0
+ Revision: 243862
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 1.6.1-4mdv2008.1
+ Revision: 99075
- fix path to installwatch.so

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 1.6.1-3mdv2008.1
+ Revision: 98371
- replace remaining /usr/lib on 64 bit, fixing bug #34775

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1.6.1-3mdv2008.0
+ Revision: 14740
- fix for x86_64


* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 1.6.1-2mdv2007.0
+ Revision: 87354
- fix build on 64 bit
- Import checkinstall

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 1.6.1-1mdv2007.1
- drop patch 1
- New version 1.6.1

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2007.0
- Rebuild

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 1.6.0-2mdk
- fix bug #21100 (switched options), thanks to danxuliu)

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- rediff patch, it was partitially merged
- new version

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-0.beta4.3mdk
- update patch to fix bug 16848 (thanks to sieczka)

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 1.6.0-0.beta4.2mdk
- update patch 0 to fix bug 16110 (thanks to Jan Ciger)

* Thu Dec 02 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta4.1mdk
- update patch 0
- new version

* Mon Jun 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-0.beta3.2mdk
- require rpm-build

* Tue May 04 2004 Götz Waschk <waschk@linux-mandrake.com> 1.6.0-0.beta3.1mdk
- rediff patch
- new version

